Name:          not-yet-commons-ssl
Version:       0.3.11
Release:       %mkrel 1
Summary:       A Java SSL component library
Group:         Development/Java
License:       ASL 2.0
Url:           http://juliusdavies.ca/commons-ssl/
Source0:       http://juliusdavies.ca/commons-ssl/not-yet-commons-ssl-%{version}.zip
Source1:       http://repo1.maven.org/maven2/ca/juliusdavies/not-yet-commons-ssl/%{version}/not-yet-commons-ssl-%{version}.pom
Patch0:        not-yet-commons-ssl-0.3.11-logging-jar.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: apache-commons-logging
BuildRequires: bouncycastle
BuildRequires: jakarta-commons-httpclient
BuildRequires: jakarta-commons-httpclient-javadoc
BuildRequires: java-javadoc
BuildRequires: junit
BuildRequires: liblog4j-java

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Welcome to the SSL component of the Jakarta Commons
project.

This is not a real Jakarta Project yet.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

rm -rf $(find . -name "*.jar")
rm -rf $(find . -name "*.class")

%patch0 -p0

sed -i 's|http://java.sun.com/j2se/1.5.0/docs/api/|%{_javadocdir}/java/|' build.xml
sed -i 's|http://java.sun.com/j2ee/1.4/docs/api/|%{_javadocdir}/java/|' build.xml
sed -i 's|http://jakarta.apache.org/commons/httpclient/apidocs/|%{_javadocdir}/jakarta-commons-httpclient-3.1/|' build.xml

cp -p %SOURCE1 pom.xml

rm -rf javadocs

%build

ant \
  -Dlib=%{_javadir} \
  -Dbc-jar=bcprov.jar \
  -Dhttpclient-jar=commons-httpclient.jar \
  -Djunit-jar=junit.jar \
  -Dlog4j-jar=log4j.jar \
  -Dlogging-jar=commons-logging.jar \
  jar test javadocs 

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 build/commons-ssl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pm 644 build/commons-ssl-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tests.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap ca.juliusdavies %{name} %{version} JPP %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-tests.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Nov 28 2011 gil <gil> 0.3.11-1.mga2
+ Revision: 173982
- imported package not-yet-commons-ssl

